Bug 223966 - archivers/brotli: Update to 1.0.2
Summary: archivers/brotli: Update to 1.0.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bernard Spil
URL:
Keywords: needs-qa, patch
Depends on:
Blocks: 223967
  Show dependency treegraph
 
Reported: 2017-11-29 13:57 UTC by Bernard Spil
Modified: 2017-12-12 08:13 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (osa)


Attachments
svn diff for archivers/brotli (1.80 KB, patch)
2017-11-29 13:57 UTC, Bernard Spil
no flags Details | Diff
svn diff for archivers/brotli (4.21 KB, patch)
2017-11-29 21:24 UTC, Bernard Spil
no flags Details | Diff
svn diff for archivers/brotli (8.62 KB, patch)
2017-12-10 10:38 UTC, Bernard Spil
brnrd: maintainer-approval? (osa)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2017-11-29 13:57:51 UTC
Created attachment 188392 [details]
svn diff for archivers/brotli

```
archivers/brotli: Update to 1.0.2

PR: 
```

Also renames bro to brotli. Might warrant an UPDATING entry?
Comment 1 Bernard Spil freebsd_committer 2017-11-29 21:24:19 UTC
Created attachment 188409 [details]
svn diff for archivers/brotli

Ran into a nasty bug with ports framework here. brotli built with cmake, curl has brotli support, circular dependency.

Updated the port to stop using cmake and switch to automake. This involved some hacking as it requires you to run bootstrap which uses arithmetic not available in real sh. Additionally this lead to shared libs not linking to libbrotlicommon.so killing linking in curl (already during configure).

Currently building all ports in poudriere. Both Apache and cURL with brotli support.
Comment 2 Bernard Spil freebsd_committer 2017-11-29 21:49:31 UTC
The Makefile.am patch is already merged upstream
https://github.com/google/brotli/pull/623
Comment 3 Sergey A. Osokin freebsd_committer 2017-11-30 11:56:33 UTC
Hi Bernard,

I'll take a look on it soon.

We also need to update www/nginx and www/nginx-devel as well, both are using a archivers/brotli for third-party module ngx_brotli.
Comment 4 Bernard Spil freebsd_committer 2017-11-30 20:41:12 UTC
(In reply to Sergey A. Osokin from comment #3)
Hi Sergey,

I've updated the brotli module for nginx to a version that supports more recent brotli ABI, see bug #224000.
Comment 5 Sergey A. Osokin freebsd_committer 2017-12-09 16:35:11 UTC
Comment on attachment 188409 [details]
svn diff for archivers/brotli

Hi Bernard,

I'd recommend to update the patch with a small change for shared libraries to expose PORTVERSION for PLIST_SUB and utilize it in pkg-plist.
Comment 6 Bernard Spil freebsd_committer 2017-12-10 10:38:26 UTC
Created attachment 188682 [details]
svn diff for archivers/brotli

Updated as per maintainer request. Uses PORTVERSION as SHLIBVER in pkg-plist.
Comment 7 Sergey A. Osokin freebsd_committer 2017-12-11 21:53:07 UTC
Looks great!  Hope it doesn't break anything in ports tree.
Please go ahead and commit the change, it's approved now.
Thanks.
Comment 8 commit-hook freebsd_committer 2017-12-12 08:12:28 UTC
A commit references this bug:

Author: brnrd
Date: Tue Dec 12 08:11:26 UTC 2017
New revision: 456110
URL: https://svnweb.freebsd.org/changeset/ports/456110

Log:
  archivers/brotli: Update to 1.0.2

  PR:		223966
  Approved by:	osa (maintainer)

Changes:
  head/archivers/brotli/Makefile
  head/archivers/brotli/distinfo
  head/archivers/brotli/files/
  head/archivers/brotli/files/patch-freebsd-upstream
  head/archivers/brotli/pkg-plist
Comment 9 Bernard Spil freebsd_committer 2017-12-12 08:13:18 UTC
YW!